## org.apache.xerces.impl.dv.xs
Class IDDV

    java.lang.Object
      |
      +--org.apache.xerces.impl.dv.xs.TypeValidator
            |
            +--org.apache.xerces.impl.dv.xs.IDDV

public class IDDV
extends TypeValidator

Represent the schema type "ID"

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: IDDV.java 446745 2006-09-15 21:43:58Z mrglavas $
Author:
  Neeraj Bajaj, Sun Microsystems, inc., Sandy Gao, IBM

Fields inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`EQUAL, GREATER_THAN, INDETERMINATE, LESS_THAN`

Constructor Summary
`IDDV()`

Method Summary
`void` `checkExtraRules(java.lang.Object value, ValidationContext context)`
`java.lang.Object` `getActualValue(java.lang.String content, ValidationContext context)`
`short` `getAllowedFacets()`

Methods inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`compare, getDataLength, getDigit, getFractionDigits, getTotalDigits, isDigit, isIdentical`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IDDV

    public IDDV()

Method Detail

### getAllowedFacets

    public short getAllowedFacets()

  Overrides:
    `getAllowedFacets` in class `TypeValidator`

### getActualValue

    public java.lang.Object getActualValue(java.lang.String content,
                                           ValidationContext context)
                                    throws InvalidDatatypeValueException

  Overrides:
    `getActualValue` in class `TypeValidator`

### checkExtraRules

    public void checkExtraRules(java.lang.Object value,
                                ValidationContext context)
                         throws InvalidDatatypeValueException

  Overrides:
    `checkExtraRules` in class `TypeValidator`

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.